Bug 185743 - devel/py-venusian update 1.0a6 to 1.0a8
Summary: devel/py-venusian update 1.0a6 to 1.0a8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 13:30 UTC by Eero Hänninen
Modified: 2014-02-09 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (15.37 KB, patch)
2014-01-13 13:30 UTC, Eero Hänninen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Hänninen 2014-01-13 13:30:00 UTC
Changelog:
1.0a8 (2013-04-15)

    Pass ignore argument along recursively to walk_packages so custom ignore functions will ignore things recursively. See https://github.com/Pylons/venusian/pull/16
    Don't run tox tests under Python 2.4 anymore (tox no longer supports 2.4).

1.0a7 (2012-08-25)

    Venusian now works on Python 3.3b2+ (importlib-based).
    Use nose-exclude instead of relying on fragile module-scope code to ensure we don't get errors resulting from import of fixture code during "nosetests".
    Bug fix: no longer suppress ImportError while scanning by default. If you want to suppress ImportError while scanning, you'll now need use an onerror callback as described in the documentation.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-13 13:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2014-02-09 14:56:35 UTC
Responsible Changed
From-To: clsung->rm

I will take it.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-02-09 14:56:41 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 4 dfilter service freebsd_committer 2014-02-09 14:56:50 UTC
Author: rm
Date: Sun Feb  9 14:56:36 2014
New Revision: 343507
URL: http://svnweb.freebsd.org/changeset/ports/343507
QAT: https://qat.redports.org/buildarchive/r343507/

Log:
  - update to 1.0a8
  - do not use easy_install and convert to auto-generated packing list
  
  while here:
  - add LICENSE (BSD4CLAUSE)
  - remove indefinite article from COMMENT
  
  PR:		185743
  Submitted by:	Eero Hanninen <fax@nohik.ee>
  Approved by:	maintainer timeout (3 weeks)

Deleted:
  head/devel/py-venusian/pkg-plist
Modified:
  head/devel/py-venusian/Makefile
  head/devel/py-venusian/distinfo
  head/devel/py-venusian/pkg-descr

Modified: head/devel/py-venusian/Makefile
==============================================================================
--- head/devel/py-venusian/Makefile	Sun Feb  9 14:52:35 2014	(r343506)
+++ head/devel/py-venusian/Makefile	Sun Feb  9 14:56:36 2014	(r343507)
@@ -2,16 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	venusian
-PORTVERSION=	1.0a6
+PORTVERSION=	1.0a8
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	clsung@FreeBSD.org
-COMMENT=	A Python library for deferring decorator actions
+COMMENT=	Python library for deferring decorator actions
 
-USE_PYTHON=	yes
-USE_PYDISTUTILS=	easy_install
+LICENSE=	BSD4CLAUSE
+
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/py-venusian/distinfo
==============================================================================
--- head/devel/py-venusian/distinfo	Sun Feb  9 14:52:35 2014	(r343506)
+++ head/devel/py-venusian/distinfo	Sun Feb  9 14:56:36 2014	(r343507)
@@ -1,2 +1,2 @@
-SHA256 (venusian-1.0a6.tar.gz) = 6b9a14a6d903fa6074d4bc221e603d548399fd1c48b37a036694828786516d86
-SIZE (venusian-1.0a6.tar.gz) = 43714
+SHA256 (venusian-1.0a8.tar.gz) = a1b054d4ccf0859a76d900c49f419645279298d5316be3a65a1c00a40719bce0
+SIZE (venusian-1.0a8.tar.gz) = 42845

Modified: head/devel/py-venusian/pkg-descr
==============================================================================
--- head/devel/py-venusian/pkg-descr	Sun Feb  9 14:52:35 2014	(r343506)
+++ head/devel/py-venusian/pkg-descr	Sun Feb  9 14:56:36 2014	(r343507)
@@ -3,4 +3,4 @@ actions. Instead of taking actions when 
 is executed at import time, you can defer the action usually taken by
 the decorator until a separate "scan" phase.
 
-WWW: https://pypi.python.org/pypi/venusian
+WWW: https://pypi.python.org/pypi/venusian/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"